This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 846056 - Static Router without "Destination Name" attribute filled in or not unique cause unpredictable routing results with no error
Static Router without "Destination Name" attribute filled in or not unique ca...
Status: CLOSED DEFERRED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: kconner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 13:03 EDT by Johnathan Ingram
Modified: 2012-08-15 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-15 12:59:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnathan Ingram 2012-08-06 13:03:34 EDT
Description of problem:
Using a static router to route between multiple services and not giving the default "Destination Name" causing routing to be undefined



Version-Release number of selected component (if applicable):
5.3 GA

How reproducible:
Can reproduce


Steps to Reproduce:
1.Create 4 servers
  Service1
  Service2
  Service3
  Service4

2. Let the last action of Service4 be a static router to service 3
   Do no fill in the "Destination Name" attribute
3. Let the last action of Service3 be a static router to service 2
   Do no fill in the "Destination Name" attribute
4. Let the last action of Service2 be a static router to service 1
   Do no fill in the "Destination Name" attribute

  
Actual results:
Calling service 4 results in an undefined service order execution.
In my example calling service 4 then routes to service 1 and ends


Expected results:
Calling service 4 should call service 3, should call service 2 and then call service 1 and complete.



Additional info:

I fixed the issue by filling in Destination Name. However, Destination Name must be unique within the .esb, otherwise the same issue occurs.
Comment 1 Rick Wagner 2012-08-13 09:26:41 EDT
Hello Jonathan,

Thank you for taking the time to enter a bug report with us. We appreciate the feedback and look to use reports such as this to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to  guarantee the timeliness or suitability of a resolution.
 
If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain  it receives the proper attention and prioritization to assure a timely resolution.

Alternatively, if you are a community user of JBoss ESB, please open a ticket on JIRA.  JIRA is the community bug tracking mechanism and will put attention on the problem through the community channels that support the open source project:  
https://issues.jboss.org/browse/JBESB 
 
For information on how to contact the Red Hat production support team, please visit:
https://www.redhat.com/support/process/production/#howto

Thanks again, and thank you for using JBossESB / SOA-P.

Rick

Note You need to log in before you can comment on or make changes to this bug.